=== debian/control ===
Source: ros-foxy-moveit-fake-controller-manager
Section: misc
Priority: optional
Maintainer: Michael Görner <me@v4hn.de>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-moveit-core, ros-foxy-moveit-ros-planning, ros-foxy-pluginlib (>= 1.11.2), ros-foxy-rclcpp, ros-foxy-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-foxy-moveit-fake-controller-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-moveit-core, ros-foxy-moveit-ros-planning, ros-foxy-pluginlib (>= 1.11.2), ros-foxy-rclcpp, ros-foxy-ros-workspace
Description: A fake controller manager plugin for MoveIt.
